## section-prefs

section-prefs

## Functions

int | flickcurl_prefs_getContentType ()
int | flickcurl_prefs_getGeoPerms ()
int | flickcurl_prefs_getHidden ()
int | flickcurl_prefs_getPrivacy ()
int | flickcurl_prefs_getSafetyLevel ()

## Description

## Functions

### flickcurl_prefs_getContentType ()

    int
    flickcurl_prefs_getContentType (flickcurl *fc);

Returns the default content type preference for the user.

Implements flickr.prefs.getContentType (1.3)

#### Parameters

fc | flickcurl context |

#### Returns

content type or <0 on failure

### flickcurl_prefs_getGeoPerms ()

    int
    flickcurl_prefs_getGeoPerms (flickcurl *fc);

Returns the default privacy level for geographic information attached to the user's photos.

Possible values are: 0: no default, 1: public, 2: contacts only, 3: friends and family only, 4: friends only, 5: family only, 6: private.

Implements flickr.prefs.getGeoPerms (1.4)

#### Parameters

fc | flickcurl context |

#### Returns

non-0 on failure

### flickcurl_prefs_getHidden ()

    int
    flickcurl_prefs_getHidden (flickcurl *fc);

Returns the default hidden preference for the user.

Implements flickr.prefs.getHidden (1.3)

#### Parameters

fc | flickcurl context |

#### Returns

non-0 on failure

### flickcurl_prefs_getPrivacy ()

    int
    flickcurl_prefs_getPrivacy (flickcurl *fc);

Returns the default privacy level preference for the user.

Possible values are: Public (1), Friends only (2), Family only (3) Friends and Family (4) and Private (5)

Implements flickr.prefs.getPrivacy (1.3)

#### Parameters

fc | flickcurl context |

#### Returns

privacy level or <0 on failure

### flickcurl_prefs_getSafetyLevel ()

    int
    flickcurl_prefs_getSafetyLevel (flickcurl *fc);

Returns the default safety level preference for the user.

Implements flickr.prefs.getSafetyLevel (1.3)

#### Parameters

fc | flickcurl context |

#### Returns

safety level or <0 on failure